summaryrefslogtreecommitdiffstats
path: root/prototypes
diff options
context:
space:
mode:
authorMarkos Chandras <mchandras@suse.de>2017-02-07 10:35:58 +0100
committerMarkos Chandras <mchandras@suse.de>2017-02-07 10:35:58 +0100
commit96a7825ca91e87672644823135178737dcfea53d (patch)
tree4c0c322a893eddd2dafbc465300c4eb380711fce /prototypes
parent9fba1bdb9bff216c3d9a59e0b7ec61e7a2733922 (diff)
bifrost: Destroy all VMs from the slave nodes
New patchsets may introduce (or remove) testing VMs so make sure the script destroys all of them Change-Id: Ic96142823b9a8b044306327ce3454fbdc6fa5eb4 Signed-off-by: Markos Chandras <mchandras@suse.de>
Diffstat (limited to 'prototypes')
-rwxr-xr-xprototypes/bifrost/scripts/destroy-env.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/prototypes/bifrost/scripts/destroy-env.sh b/prototypes/bifrost/scripts/destroy-env.sh
index 14869b0e2..b73092b0f 100755
--- a/prototypes/bifrost/scripts/destroy-env.sh
+++ b/prototypes/bifrost/scripts/destroy-env.sh
@@ -14,12 +14,12 @@ if [[ $(whoami) != "root" ]]; then
exit 1
fi
-virsh destroy jumphost.opnfvlocal || true
-virsh destroy controller00.opnfvlocal || true
-virsh destroy compute00.opnfvlocal || true
-virsh undefine jumphost.opnfvlocal || true
-virsh undefine controller00.opnfvlocal || true
-virsh undefine compute00.opnfvlocal || true
+# Delete all VMs on the slave since proposed patchsets
+# may leave undesired VM leftovers
+for vm in $(virsh list --all --name); do
+ virsh destroy $vm || true
+ virsh undefine $vm || true
+done
service ironic-conductor stop || true